-- 
-- Created by SQL::Translator::Producer::Oracle
-- Created on Mon Jun 30 20:17:29 2008
-- 
-- We assume that default NLS_DATE_FORMAT has been changed
-- but we set it here anyway to be self-consistent.
ALTER SESSION SET NLS_DATE_FORMAT = 'YYYY-MM-DD HH24:MI:SS';

--
-- Table: buildnote
--

CREATE TABLE buildnote (
  buildid number(11) NOT NULL,
  userid number(11) NOT NULL,
  note clob NOT NULL,
  timestamp date NOT NULL,
  status number(4) DEFAULT '0' NOT NULL
)
ENGINE    MyISAM
CHARACTER SET    latin1;

--
-- Table: repositories
--

CREATE SEQUENCE sq_repositories_id;

CREATE TABLE repositories (
  id number(11) NOT NULL,
  url varchar2(255) NOT NULL,
  PRIMARY KEY (id)
)
ENGINE    MyISAM
CHARACTER SET    latin1
AUTO_INCREMENT    1;

--
-- Table: project2repositories
--

CREATE TABLE project2repositories (
  projectid number(11) NOT NULL,
  repositoryid number(11) NOT NULL,
  PRIMARY KEY (projectid, repositoryid)
)
ENGINE    MyISAM
CHARACTER SET    latin1;

CREATE OR REPLACE TRIGGER ai_repositories_id
BEFORE INSERT ON repositories
FOR EACH ROW WHEN (
 new.id IS NULL OR new.id = 0
)
BEGIN
 SELECT sq_repositories_id.nextval
 INTO :new.id
 FROM dual;
END;
/