-- 
-- Created by SQL::Translator::Producer::Oracle
-- Created on Mon Jun 30 20:17:31 2008
-- 
-- We assume that default NLS_DATE_FORMAT has been changed
-- but we set it here anyway to be self-consistent.
ALTER SESSION SET NLS_DATE_FORMAT = 'YYYY-MM-DD HH24:MI:SS';

--
-- Table: builderrordiff
--

CREATE TABLE builderrordiff (
  buildid number(20) NOT NULL,
  type number(4) NOT NULL,
  difference number(11) NOT NULL
)
ENGINE    MyISAM
CHARACTER SET    latin1;

--
-- Table: testdiff
--

CREATE TABLE testdiff (
  buildid number(20) NOT NULL,
  type number(4) NOT NULL,
  difference number(11) NOT NULL
)
ENGINE    MyISAM
CHARACTER SET    latin1;

--
-- Table: build2note
--

CREATE TABLE build2note (
  buildid number(20) NOT NULL,
  noteid number(20) NOT NULL,
  time date DEFAULT 'CURRENT_TIMESTAMP' NOT NULL
)
ENGINE    MyISAM
CHARACTER SET    latin1;

CREATE OR REPLACE TRIGGER ts_build2note_time
BEFORE INSERT OR UPDATE ON build2note
FOR EACH ROW WHEN (new.time IS NULL)
BEGIN 
 SELECT sysdate INTO :new.time FROM dual;
END;
/