-- 
-- Created by SQL::Translator::Producer::SQLServer
-- Created on Mon Jun 30 20:17:43 2008
-- 



--
-- Table: testmeasurement
--

CREATE TABLE testmeasurement (
  testid bigint NOT NULL,
  name varchar(70) NOT NULL,
  type varchar(70) NOT NULL,
  value text NOT NULL
);

CREATE INDEX testid ON testmeasurement (testid);



--
-- Table: dailyupdate
--

CREATE TABLE dailyupdate (
  id bigint IDENTITY NOT NULL,
  projectid int NOT NULL,
  date datetime NOT NULL,
  command text NOT NULL,
  type varchar(4) NOT NULL DEFAULT '',
  status tinyint NOT NULL DEFAULT '0'
);

CREATE INDEX buildid ON dailyupdate (id);



--
-- Table: dailyupdatefile
--

CREATE TABLE dailyupdatefile (
  dailyupdateid int NOT NULL DEFAULT '0',
  filename varchar(255) NOT NULL DEFAULT '',
  checkindate timestamp NOT NULL DEFAULT 'CURRENT_TIMESTAMP',
  author varchar(255) NOT NULL DEFAULT '',
  log text NOT NULL,
  revision varchar(10) NOT NULL DEFAULT '0',
  priorrevision varchar(10) NOT NULL DEFAULT '0'
);

CREATE INDEX buildid ON dailyupdatefile (dailyupdateid);

