-- 
-- Created by SQL::Translator::Producer::SQLite
-- Created on Mon Jun 30 20:17:49 2008
-- 
BEGIN TRANSACTION;


--
-- Table: testmeasurement
--
CREATE TABLE testmeasurement (
  testid bigint(20) NOT NULL,
  name varchar(70) NOT NULL,
  type varchar(70) NOT NULL,
  value text NOT NULL
);

CREATE INDEX testid_testmeasurement ON testmeasurement (testid);

--
-- Table: dailyupdate
--
CREATE TABLE dailyupdate (
  id bigint NOT NULL,
  projectid int(11) NOT NULL,
  date date NOT NULL,
  command text NOT NULL,
  type varchar(4) NOT NULL DEFAULT '',
  status tinyint(4) NOT NULL DEFAULT '0'
);

CREATE INDEX buildid_dailyupdate ON dailyupdate (id);

--
-- Table: dailyupdatefile
--
CREATE TABLE dailyupdatefile (
  dailyupdateid int(11) NOT NULL DEFAULT '0',
  filename varchar(255) NOT NULL DEFAULT '',
  checkindate timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  author varchar(255) NOT NULL DEFAULT '',
  log text NOT NULL,
  revision varchar(10) NOT NULL DEFAULT '0',
  priorrevision varchar(10) NOT NULL DEFAULT '0'
);

CREATE INDEX buildid_dailyupdatefile ON dailyupdatefile (dailyupdateid);

COMMIT;
